<?php
require ("Conexion/Conexion.php");
require ("lib/lib.php");
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	if($_POST['Opcion'] != '' || $_GET['Opcion'] != ''){
		$ClienteID = $_SESSION["ClienteID"];
		if($_POST['Opcion'] != ''){
			if(preg_match("/^[[:digit:]]+$/", $_POST['Opcion'])){
				$Opcion = $_POST['Opcion'];
				$Bandera = 1;
			}else
				$Bandera = 'error2';
		}
		if($Bandera == 1){
			if($Opcion == 1) {
				$QueryCatalogo = mssql_query("SELECT UsuarioWebID, Nombre, Usuario, Clave, Administrador, UserWeb.ClienteID, Departamento, 
				Email, Seccion.NombreSeccion FROM Usuarioweb UserWeb INNER JOIN SeccionWeb Seccion ON 
				UserWeb.SeccionWebID = Seccion.SeccionWebID WHERE UserWeb.ClienteID = '$ClienteID' ORDER BY UserWeb.UsuarioWebID");
				$TotalRegistros = mssql_num_rows($QueryCatalogo); ?>
                <script>
                $(document).ready(function(){
					$('#green').smartpaginator({ 
						totalrecords: 		<? echo $TotalRegistros; ?>, 
						recordsperpage: 	20, 
						datacontainer: 		'mt', 
						dataelement: 		'tr', 
						initval: 			0, 
						next: 				'Sig', 
						prev: 				'Ant', 
						first: 				'Prim', 
						last: 				'Ult', 
						theme: 				'green' 
					});
				});
                </script>
            <div id="green-contents" class="contents" style="border: solid 1px #5f9000;">
			<table width="910" border="0" cellspacing="0" cellpadding="0" align="center" class="table" id="mt">
			  <tr height="30" class="header">
				<th width="65"						bgcolor="#46AD34" id="CelAzul" scope="col">No.Usuario</th>
				<th width="145" align="left" 		bgcolor="#46AD34" id="CelAzul" scope="col">Nombre</th>
				<th width="110" align="left" 		bgcolor="#46AD34" id="CelAzul" scope="col">Usuario</th>
				<th width="80" 	align="left" 		bgcolor="#46AD34" id="CelAzul" scope="col">Administrador</th>
				<th width="110" 					bgcolor="#46AD34" id="CelAzul" scope="col">Departamento</th>
				<th width="210" align="left" 		bgcolor="#46AD34" id="CelAzul" scope="col">Correo Electrónico</th>
				<th width="160" 					bgcolor="#46AD34" id="CelAzul" scope="col">Grupo</th>
				<th width="30" 						bgcolor="#46AD34" id="CelAzul" scope="col">Editar</th>
			  </tr>
			  <?			
				while ($EvaluarCatalogo = mssql_fetch_array($QueryCatalogo)) {
					if ($colorfila == 0) {
						$color = "trlight";	
						$colorfila = 1;
					} else{
						$color = "trblue";
						$colorfila = 0;	
					}
				echo"<tr id='$color'>"; ?>
				<th align="center" scope="row"><? echo $EvaluarCatalogo['UsuarioWebID']; ?></th>
				<th align="left" title="<? echo utf8_encode($EvaluarCatalogo['Nombre']); ?>"><? echo utf8_encode(CortarPalabras($EvaluarCatalogo['Nombre'], 20)); ?></th>
				<th align="left"><? echo $EvaluarCatalogo['Usuario']; ?></th>
				<th align="center"><? echo Administrador($EvaluarCatalogo['Administrador']); ?></th>
				<th align="left" title="<? echo $EvaluarCatalogo['Departamento']; ?>"><? echo utf8_encode(CortarPalabras(trim($EvaluarCatalogo['Departamento']), 10)); ?></th>
				<th align="left" title="<? echo $EvaluarCatalogo['Email'];?>"><? echo CortarCorreo($EvaluarCatalogo['Email']); ?></th>
				<th align="left" title="<? echo $EvaluarCatalogo['NombreSeccion']; ?>"><? echo utf8_encode(CortarPalabras($EvaluarCatalogo['NombreSeccion'], 20)); ?></th>
				<th align="center"><? 
				if($_SESSION['Administrador'] == 1)
					echo "<a onclick=\"UsuarioWeb(".$EvaluarCatalogo['UsuarioWebID'].")\"><img src='images/edit.png' width='20' height='20' title='Editar Usuario.'></a>"."\n"; 
				else echo '';
				?></th>
			  </tr>
<?				}?>
			  <tr>
				  <th align="center" 	bgcolor="#46AD34" scope="row">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34" title="<? echo utf8_encode($EvaluarCatalogo['Nombre']); ?>">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34">&nbsp;</th>
				  <th align="center" 	bgcolor="#46AD34">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34" title="<? echo $EvaluarCatalogo['Departamento']; ?>">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34">&nbsp;</th>
				  <th align="left" 		bgcolor="#46AD34" title="<? echo $EvaluarCatalogo['NombreSeccion']; ?>">&nbsp;</th>
				  <th align="center" 	bgcolor="#46AD34">&nbsp;</th>
			  </tr>
			</table>
                <div id="green" style="margin: auto;" >
                </div>
            </div>
<?			}else	echo 'error2';
		}else	echo $Bandera;
	}else	echo 'error1';
} 	?>